//
// ********************************************************************
// *                                                                  *
// *                                                                  *
// *                                                                  *
// ********************************************************************
//


#include "G4UserRunAction.hh"
#include "globals.hh"

// ********************************************************************

class G4Run;

class myRunAction : public G4UserRunAction
{
public:
  myRunAction();
  ~myRunAction();
  
public:
  G4Run* GenerateRun();
  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);
  G4int GetSeedVal(){return seedVal;};
  void SetSeedVal(G4int sInit){seedVal = sInit;};
private:
  G4int seedVal;
  
};

// ********************************************************************

